<?php
/*
 * Plugin Name: Go Top and Scroll Indicator
 * Plugin URI: http://www.flatpress.org/
 * Description: Create a back to top button and a scrolling progress bar. <a href="./fp-plugins/gotopscrollindicator/doc_gotopscrollindicator.txt" title="Anleitung" target="_blank">[Instructions]</a>
 * Author: Fraenkiman
 * Version: 1.1
 * Author URI: https://frank-web.dedyn.io
 * Changelog: 	*Added* Scrollprogress bar
 * 		*Added* Multi language support for the image title
 * Change-Date:	27.10.2022
 */ 
 
add_action('wp_head', 'plugin_gotop_scrollprogress_head', 0);
function plugin_gotop_scrollprogress_head() {
	$pdir = plugin_geturl('gotopscrollindicator');
	echo '
	    <!-- start of gotop and gotopscrollprogress -->
		<link rel="stylesheet" type="text/css" href="' . $pdir . 'res/gotopscrollindicator.css">
	    <!-- end of gotop and gotopscrollprogress -->';
}

add_action('wp_footer', 'plugin_gotop_scrollprogress_footer', 0);
function plugin_gotop_scrollprogress_footer() {
	$pdir = plugin_geturl('gotopscrollindicator');
	global $lang;
	lang_load('plugin:gotopscrollindicator');
	echo '
	<!-- start of scrollprogress -->
		<div class="line" id="scrollIndicator"></div>
	    <script>
	    /**
	     * Init Scrollprogress Indicator
	     */
	        window.addEventListener(\'scroll\',
	                moveScrollIndicator);
  
	        const scrollIndicatorElt =
	            document.getElementById(\'scrollIndicator\');
  
	        const maxHeight =
	            window.document.body.scrollHeight
	            - window.innerHeight;
  
	        function moveScrollIndicator(e) {
	            const percentage = 
	                ((window.scrollY) / maxHeight) * 100;
  
	            scrollIndicatorElt.style.width
	                = percentage + \'%\';
	        }
	    </script>
	<!-- end of scrollprogress -->
	    
	<!-- start of back-to-top -->	    
	    <script>
	    /**
	     * Init back-to-top
	     */
	    $(document).ready(function(){

	    	// Der Button wird mit JavaScript erzeugt und vor dem Ende des body eingebunden.
	    	var back_to_top_button = [\'<a href="#top" class="back-to-top" title="' . $lang ['plugin'] ['gotopscrollindicator'] ['go_top'] . '"><img src="' . $pdir . 'img/button.png" alt="' . $lang ['plugin'] ['gotopscrollindicator'] ['go_top'] . '"></a>\'].join("");
	    	$("body").append(back_to_top_button)

	    	// Der Button wird ausgeblendet
	    	$(".back-to-top").hide();

	    	// Funktion für das Scroll-Verhalten
	    	$(function () {
	    		$(window).scroll(function () {
	    			if ($(this).scrollTop() > 100) { // Wenn 100 Pixel gescrolled wurde
	    				$(\'.back-to-top\').fadeIn();
	    			} else {
	    				$(\'.back-to-top\').fadeOut();
	    			}
	    		});

	    		$(\'.back-to-top\').click(function() { // Klick auf den Button
	    			$(\'body,html\').animate({
	    				scrollTop: 0
	    			}, 800);
	    			return false;
	    		});
	    	});

	    });
	    </script>
	<!-- end of back-to-top -->
';
}

?>

